#include <AfxWin.h>
#include <AfxExt.h>
#include <ddraw.h>
#include <d3d.h>
#include <d3drm.h>
#include <d3drmwin.h>
#include "FullScreenApp.h"
#include "FullScreenWin.h"
#include "resource.h"


BEGIN_MESSAGE_MAP(FullScreenApp, RMApp)
	//{{AFX_MSG_MAP(FullScreenApp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

FullScreenApp theapp;

BOOL FullScreenApp::InitInstance()
{
#ifdef _DEBUG
	afxTraceEnabled=FALSE;
#endif
	FullScreenWin* win=new FullScreenWin;
	if (!win->Create( "Cutting-Edge FullScreen Demo", IDI_ICON, 0 ))
		return FALSE;
	win->SetColorModel( D3DCOLOR_MONO );
	m_pMainWnd=win;
	return RMApp::InitInstance();
}
